Get a specific waterfall
curl --request GET \
--url https://api.databar.ai/v1/waterfalls/{waterfall_identifier} \
--header 'x-apikey: <x-apikey>'import requests
url = "https://api.databar.ai/v1/waterfalls/{waterfall_identifier}"
headers = {"x-apikey": "<x-apikey>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-apikey': '<x-apikey>'}};
fetch('https://api.databar.ai/v1/waterfalls/{waterfall_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "email_getter",
"name": "Email finder waterfall",
"description": "Get email from first name, last name and company",
"input_params": [
{
"name": "first_name",
"type": "text",
"required": true
},
{
"name": "last_name",
"type": "text",
"required": true
},
{
"name": "company",
"type": "text",
"required": true
}
],
"output_fields": [
{
"name": "email",
"label": "Email",
"type": "text"
}
],
"available_enrichments": [
{
"id": 833,
"name": "General Enrichment",
"description": "General data enrichment service",
"price": "0.01",
"params": [
"first_name",
"last_name",
"company"
]
}
],
"is_email_verifying": true,
"email_verifiers": [
{
"id": 10,
"name": "Verify emails (Emailable)",
"description": "Verify if emails are valid.",
"price": "0.01"
}
]
}{
"detail": "Check the number of remaining credits or the tariff plan."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Waterfalls
Get a specific waterfall
Retrieve detailed information about a specific waterfall by its identifier.
GET
/
v1
/
waterfalls
/
{waterfall_identifier}
Get a specific waterfall
Headers
API Key for authentication
Path Parameters
The identifier of the waterfall to retrieve
Response
Successful Response
⌘I